Subject: Re: Linking to CYGWIN32 Relocatable DLL's... help!
From: [email-masked] (Craig Setera)

20 May 1998 01:19:45 -0700
Message-ID: <5010400022920183000002L032*.cygnus.gnu-win32@MHS>
Mime-Version: 1.0
Content-Type: text/plain
To: <[email-masked]>
Cc: <[email-masked]>

>On Mon, 18 May 1998, Craig Setera wrote:
>
>> Ok, I've followed the information on the web site to create a couple of
>> relocatable
>> DLL's and their associated lib (.a) files.  I've linked my application to
these
>> DLL's
>> in CYGWIN32 using the .a files.  When I attempt to run my application, it
says
>> it can't
>> find the DLL (null).  It appears that the name in the executable is messed
up.
>> Does
>> anyone have any suggestions on how I might go about getting this right?
>>
>
>Sounds like you may be using the development tools (as, ld, gcc, etc)
>distributed with b19. If so, you might want to upgrade to egcs (site
>below). At the very least, you should upgrade the binutils (as, ld, etc)
>which fixes lots of these little bugs.
>
>Also, it might help if you would detail the steps you're taking to build
>the DLLs and also the command line used to compile/link client programs.
>
>See http://www.xraylith.wisc.edu/~khan/software/gnu-win32/ for more info.
>
>Regards,
>Mumit

Sorry about the false alarm on this one.  I am using egcs.  I have a little
PERL script that I'm using to convert .a files to DLL's.
The line that creates the new .a I had "-dllname" as opposed to "--dllname".
Fixing that problem and rebuilding the DLL's and
lib files fixed it.

Thanks,
Craig

Craig Setera
AS/400 Enterprise Java Development
IBM Rochester
[email-masked]
(507) 253-3387 - Tie: 553-3387
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".